
Kune - Enhancement #286
Make kune googleable/searchable using hash bangs #! instead of # in hashs
06/13/2012 08:23 PM - Vicente J. Ruiz Jurado

Status: In Progress Start date: 03/04/2013
Priority: Normal Due date:
Assignee: Vicente J. Ruiz Jurado % Done: 50%
Category: Estimated time: 0.00 hour
Target version:
Resolution: Tags:
Description

More info:
https://developers.google.com/webmasters/ajax-crawling/docs/getting-started

Subtasks:
Enhancement # 512: Page static generation via htmlunit perf issues New
Related issues:
Related to Defect # 525: SiteMap generation is not working properly in large ... New 03/22/2013

Associated revisions
Revision 128afcf0 - 11/07/2012 02:15 AM - Vicente J. Ruiz Jurado

work in progress with #286

Revision 9bb3558f - 11/12/2012 01:06 AM - Vicente J. Ruiz Jurado

Reverted #286 work merged by error

Revision c330e195 - 11/23/2012 04:19 AM - Vicente J. Ruiz Jurado

First works on #286 (WIP again)

Revision dcdc3a90 - 11/27/2012 03:58 PM - Vicente J. Ruiz Jurado

kune googleable, closes #286 (thanks to Samer)

Revision 96c25665 - 11/27/2012 03:59 PM - Vicente J. Ruiz Jurado

kune googleable, closes #286 (thanks to Samer)

Revision 5cc07428 - 11/28/2012 03:52 AM - Vicente J. Ruiz Jurado

Some fixes in #286 (time of response, charset)

Revision cdbc16e9 - 11/28/2012 11:18 PM - Vicente J. Ruiz Jurado
kune googleable, fixes comment in #286-4

Revision f1852bc9 - 12/04/2012 02:00 AM - Vicente J. Ruiz Jurado

Tunning issue #286

Revision e4a12ef1 - 12/18/2012 02:30 PM - Vicente J. Ruiz Jurado

More tunning on issue #286

Revision ed0ca096 - 03/01/2013 12:56 PM - Vicente J. Ruiz Jurado

Added some more indexes to db (thanks to Pablo Ojanguren @pablojan). Fix #510

Revision 61d2069e - 03/04/2013 10:13 AM - Vicente J. Ruiz Jurado

More work in #286. Added logs and smaller transactions

Revision 6fe46139 - 03/13/2013 04:51 PM - Vicente J. Ruiz Jurado

Sitemap transaction added of group counts. Continuation of #286

Revision 5b3965e2 - 04/02/2013 06:53 PM - Vicente J. Ruiz Jurado

Added some mbean methods to SearchEngineServletFilter (related to #512 #286 and #70)

History
#1 - 09/03/2012 04:32 PM - Vicente J. Ruiz Jurado
- Status changed from New to In Progress
- Assignee set to Samer -
- % Done changed from 0 to 50

We are already using hashbangs in the client, but some more little work should be done, because seems that Google is not indexing us. Maybe an
index of contents, I don't know, but should be a usual problem.

#2 - 09/16/2012 02:06 PM - Samer -

    -  Do we have Java servlets that provide the HTML snippets? 
        -  If we don't, I'm not sure how to build that. Google just need the contents in a HTML snapshot, after the JS was executed.
    -  If we do, we still need to create a Site Map in XML such as

http://www.spiffyui.org/sitemap.xml

Ref: http://coding.smashingmagazine.com/2011/09/27/searchable-dynamic-content-with-ajax-crawling/

03/13/2024 2/3

http://www.spiffyui.org/sitemap.xml
http://coding.smashingmagazine.com/2011/09/27/searchable-dynamic-content-with-ajax-crawling/


Besides, we might need to register in Google Webmaster Tools to tell Google to scan Kune.cc pages. Do we do it with our personal google accounts,
or do we create a Comunes google account?

#3 - 11/01/2012 06:36 PM - Vicente J. Ruiz Jurado

Started again with this

#4 - 11/28/2012 12:25 AM - Vicente J. Ruiz Jurado

Pending:
- take into account big sitemaps
- utf8 contents seems it's not working
- the time to generate a page is big (needs tunning)

#5 - 11/28/2012 02:57 PM - Vicente J. Ruiz Jurado
- Status changed from In Progress to Closed
- % Done changed from 50 to 100

Applied in changeset commit:dcdc3a90ebdd405ba66f5218ddb22a3203cf0795.

#6 - 03/04/2013 10:03 AM - Vicente J. Ruiz Jurado
- Status changed from Closed to In Progress
- Assignee changed from Samer - to Vicente J. Ruiz Jurado
- % Done changed from 100 to 50

Reopened. Current status:
- Sitemap is not yet generated in large sites
- Page static generation via htmlunit perf issues
- minor issues like #438

Urls to test:
http://www.kune.cc/?_escaped_fragment_=admin

http://kune.beta.iepala.es/sitemap.xml
versus
http://kune.cc/sitemap.xml

#7 - 03/04/2013 10:04 AM - Vicente J. Ruiz Jurado
- Subject changed from Make kune googleable using hash bangs #! instead of # in hashs to Make kune googleable/searchable using hash bangs #! 
instead of # in hashs
